#
# enable building of $1$2 library (DIM/DIM_OF_WORLD)
#
#
# NOTE: it is a bad idea to remove the unneeded Makefiles from the
# config-files, it breaks "make distclean"
#
AC_DEFUN([ALBERTA_DIMENSION_ENABLE],
[SIMPLE_ENABLE_FLAG([alberta-$1$2],
[enable building of an ALBERTA library for parametric Finite Elements
of dimension $1 where the surrounding space has dimension $2.], 0)
dnl if test "$ALBERTA_$1$2" -eq 1; then
	AC_CONFIG_FILES([ALBERTA/src/ALBERTA$1$2_0/Makefile])
dnl	if test "$DEBUG" -eq 1; then
		AC_CONFIG_FILES([ALBERTA/src/ALBERTA$1$2_1/Makefile])
dnl	fi
dnl	if test "$EL_INDEX" -eq 1; then	
		AC_CONFIG_FILES([ALBERTA/src/ALBERTA$1$2_01/Makefile])
dnl	fi
dnl	if test "$DEBUG" -eq 1 -a "$EL_INDEX" -eq 1; then
		AC_CONFIG_FILES([ALBERTA/src/ALBERTA$1$2_11/Makefile])
dnl	fi
dnl fi
])
AC_DEFUN([ALBERTA_DIMENSION_DISABLE],
[SIMPLE_ENABLE_FLAG([alberta-$1$1],
[disable building of an ALBERTA library for Finite Elements of dimension $1.], 1)
dnl if test "$ALBERTA_$1$1" -eq 1; then
	AC_CONFIG_FILES([ALBERTA/src/ALBERTA$1$1_0/Makefile])
dnl	if test "$DEBUG" -eq 1; then
		AC_CONFIG_FILES([ALBERTA/src/ALBERTA$1$1_1/Makefile])
dnl	fi
dnl	if test "$EL_INDEX" -eq 1; then	
		AC_CONFIG_FILES([ALBERTA/src/ALBERTA$1$1_01/Makefile])
dnl	fi
dnl	if test "$DEBUG" -eq 1 -a "$EL_INDEX" -eq 1; then
		AC_CONFIG_FILES([ALBERTA/src/ALBERTA$1$1_11/Makefile])
dnl	fi
dnl fi
])
